<!-- <app-page-title [heading]="heading" [icon]="icon"></app-page-title> -->
<div class="app-page-title">
  <div class="page-title-wrapper">
    <div class="page-title-heading">
      <div class="page-title-icon">
        <i class="icon {{icon}}"></i>
      </div>
      <div>
        {{heading}}
      </div>
    </div>
  </div>
</div>
<!-- summary all total -->
<div class="mb-3 card">
  <div class="card-header-tab card-header">
    <div class="card-header-title font-size-lg text-capitalize font-weight-normal">
      <i class="header-icon lnr-charts icon-gradient bg-happy-green"> </i>
      Scope of work
    </div>
  </div>
  <div class="no-gutters row">
    <div class="col-sm-12 col-md-12 col-xl-12">
      <div class="card no-shadow rm-border bg-transparent widget-chart text-left">
        <div class="widget-chart-content">
          <div class="widget-numbers">บริษัท อินเทอร์เน็ตประเทศไทย จำกัด (มหาชน) เป็นผู้ให้บริการโครงสร้างพื้นฐานด้านไอซีทีแบบครบวงจร สำหรับ ธุรกิจ และผู้ที่ต้องการนำไอซีทีมาเป็นเครื่องมือเพื่อเสริมสร้างความสามารถในการแข่งขันทางธุรกิจบริการของบริษัทครอบคลุม ตั้งแต่บริการเชื่อมต่อเครือข่ายอินเทอร์เน็ตเต็มรูปแบบการให้บริการศูนย์ข้อมูลพร้อมอุปกรณ์ต่างๆ สำหรับผู้ที่ต้องการบริการที่มี ประสิทธิภาพ และมาตรฐานในระดับสากลไปจนถึงการนำเสนอระบบไอซีทีแบบ Cloud Computing Solution (Cloud Solution Provider) เพื่อใช้เป็น เครื่องมือในการเพิ่มประสิทธิภาพประสิทธิผลสำหรับธุรกิจ

บริษัทได้ก่อตั้งมาตั้งแต่วันที่ 1 มีนาคม 2538 ในชื่อของ ศูนย์บริการอินเทอร์เน็ตประเทศไทย (Internet Thailand Service Center : ITSC) ซึ่งได้ให้บริการอินเทอร์เน็ตในเชิงพาณิชย์ จนกระทั่ง เมื่อวันที่ 14 พฤษภาคม 2539 คณะรัฐมนตรีได้มีมติให้ดำเนินการจัดตั้งเป็นบริษัทและได้จดทะเบียนเป็นบริษัทเมื่อวันที่ 13 พฤษภาคม 2540 โดยมีทุนชำระแล้วเท่ากับ 16 ล้านบาท มูลค่าที่ตราไว้หุ้นละ 10 บาท บริษัทได้รับอนุมัติจากการสื่อสารแห่งประเทศไทย (ในขณะนั้น) เมื่อวันที่ 9 ตุลาคม 2540 ให้ ดำเนินการเป็นผู้ให้บริการเชื่อมต่ออินเทอร์เน็ตแก่ลูกค้าประเภทนิติบุคคลหรือองค์กร และประเภทบุคคลโดยไม่มีการสิ้นสุดของอายุการได้สิทธิดำเนินการดังกล่าว ต่อมาในวันที่ 28 สิงหาคม 2544 บริษัทได้แปรสภาพเป็นบริษัทมหาชน และเพิ่มทุนจดทะเบียนตามมติคณะรัฐมนตรี โดยเข้าทำการซื้อขายในตลาดหลักทรัพย์ตั้งแต่ วันที่ 14 พฤศจิกายน 2544 เป็นต้นมา</div>
        </div>
      </div>
      <div class="divider m-0 d-md-none d-sm-block"></div>
    </div>
  </div>
</div>
<div class="mb-3 card">
  <div class="card-header-tab card-header">
    <div class="card-header-title font-size-lg text-capitalize font-weight-normal">
      <i class="header-icon lnr-charts icon-gradient bg-happy-green"> </i>
      Scope of work
    </div>
  </div>
  <div class="no-gutters row">
    <div class="col-sm-12 col-md-12 col-xl-12">
      <div class="card no-shadow rm-border bg-transparent widget-chart text-left">
        <div class="widget-chart-content">
          <div class="widget-numbers">บริษัท อินเทอร์เน็ตประเทศไทย จำกัด (มหาชน) เป็นผู้ให้บริการโครงสร้างพื้นฐานด้านไอซีทีแบบครบวงจร สำหรับ ธุรกิจ และผู้ที่ต้องการนำไอซีทีมาเป็นเครื่องมือเพื่อเสริมสร้างความสามารถในการแข่งขันทางธุรกิจบริการของบริษัทครอบคลุม ตั้งแต่บริการเชื่อมต่อเครือข่ายอินเทอร์เน็ตเต็มรูปแบบการให้บริการศูนย์ข้อมูลพร้อมอุปกรณ์ต่างๆ สำหรับผู้ที่ต้องการบริการที่มี ประสิทธิภาพ และมาตรฐานในระดับสากลไปจนถึงการนำเสนอระบบไอซีทีแบบ Cloud Computing Solution (Cloud Solution Provider) เพื่อใช้เป็น เครื่องมือในการเพิ่มประสิทธิภาพประสิทธิผลสำหรับธุรกิจ

บริษัทได้ก่อตั้งมาตั้งแต่วันที่ 1 มีนาคม 2538 ในชื่อของ ศูนย์บริการอินเทอร์เน็ตประเทศไทย (Internet Thailand Service Center : ITSC) ซึ่งได้ให้บริการอินเทอร์เน็ตในเชิงพาณิชย์ จนกระทั่ง เมื่อวันที่ 14 พฤษภาคม 2539 คณะรัฐมนตรีได้มีมติให้ดำเนินการจัดตั้งเป็นบริษัทและได้จดทะเบียนเป็นบริษัทเมื่อวันที่ 13 พฤษภาคม 2540 โดยมีทุนชำระแล้วเท่ากับ 16 ล้านบาท มูลค่าที่ตราไว้หุ้นละ 10 บาท บริษัทได้รับอนุมัติจากการสื่อสารแห่งประเทศไทย (ในขณะนั้น) เมื่อวันที่ 9 ตุลาคม 2540 ให้ ดำเนินการเป็นผู้ให้บริการเชื่อมต่ออินเทอร์เน็ตแก่ลูกค้าประเภทนิติบุคคลหรือองค์กร และประเภทบุคคลโดยไม่มีการสิ้นสุดของอายุการได้สิทธิดำเนินการดังกล่าว ต่อมาในวันที่ 28 สิงหาคม 2544 บริษัทได้แปรสภาพเป็นบริษัทมหาชน และเพิ่มทุนจดทะเบียนตามมติคณะรัฐมนตรี โดยเข้าทำการซื้อขายในตลาดหลักทรัพย์ตั้งแต่ วันที่ 14 พฤศจิกายน 2544 เป็นต้นมา</div>
        </div>
      </div>
      <div class="divider m-0 d-md-none d-sm-block"></div>
    </div>
  </div>
</div>
<!-- outsource all status -->
<div class="main-card mb-3 card">
  <div class="card-header">
    <div class="card-header-title font-size-lg text-capitalize font-weight-normal">Outsource all</div>
  </div>
  <div class="table-responsive">
    <table class="align-middle text-truncate mb-0 table table-borderless table-hover">
      <thead>
      <tr>
        <th class="text-center">ID</th>
        <th class="text-center">Name</th>
        <th class="text-center">Company</th>
        <th class="text-center">Status</th>
        <th class="text-center">Create Date</th>
        <th class="text-center">Due Date</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let outsource of outsourceall">
        <td class="text-center text-muted" style="width: 80px;">{{outsource.id}}</td>
        <td class="text-center"><a [routerLink]="">{{outsource.name}}</a></td>
        <td class="text-center"><a [routerLink]="">{{outsource.company}}</a></td>
        <td class="text-center">
          <div *ngIf="outsource.status == 'doing'" class="badge badge-pill badge-danger">{{outsource.status}}</div>
          <div *ngIf="outsource.status == 'available'" class="badge badge-pill badge-success">{{outsource.status}}</div>
        </td>
        <td class="text-center">
          <span class="pr-2 opacity-6">
              <i class="fa fa-business-time"></i>
          </span>
          {{outsource.create_date}}
        </td>
        <td class="text-center">
          <span class="pr-2 opacity-6">
              <i class="fa fa-business-time"></i>
          </span>
          {{outsource.due_date}}
        </td>
      </tr>
      </tbody>
    </table>
  </div>
</div>
<!-- ticket all chart -->
<div class="row">
  <div class="col-sm-12 col-lg-6">
    <div class="mb-3 card">
      <div class="card-header-tab card-header">
        <div class="card-header-title font-size-lg text-capitalize font-weight-normal">
          <i class="header-icon lnr-cloud-download icon-gradient bg-happy-itmeo"> </i>
          Ticket all
        </div>
      </div>
      <div class="p-0 card-body">
        <div class="p-1 slick-slider-sm mx-auto">
          <div class="widget-chart widget-chart2 text-left p-0">
            <div class="widget-chat-wrapper-outer">
              <div class="widget-chart-content widget-chart-content-lg pb-0">
                <div class="widget-chart-flex">
                  <div class="widget-title opacity-5 text-muted text-uppercase">Helpdesk Tickets</div>
                </div>
                <div class="widget-numbers">
                  <div class="widget-chart-flex">
                    <div>
                      <span class="text-warning">34</span>
                    </div>
                    <div class="widget-title ml-2 font-size-lg font-weight-normal text-dark">
                      <span class="opacity-5 text-muted pl-2 pr-1">5%</span>
                      increase
                    </div>
                  </div>
                </div>
              </div>
              <div class="widget-chart-wrapper he-auto opacity-10 m-0">
                <div class="d-block">
                  <canvas baseChart
                          class="chart"
                          [datasets]="datasets"
                          [labels]="labels"
                          [colors]="lineChartColors"
                          [options]="options"
                          [chartType]="'line'"></canvas>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="col-sm-12 col-lg-6">
    <div class="card-hover-shadow-2x mb-3 card">
      <div class="card-header-tab card-header">
        <div class="card-header-title font-size-lg text-capitalize font-weight-normal">
          <i class="header-icon lnr-lighter icon-gradient bg-amy-crisp"> </i>
          Daily Report
        </div>
      </div>
      <div class="scroll-area-lg">
        <perfect-scrollbar [autoPropagation]="true">
          <div class="p-4">
            <div *ngFor="let task of taskdaily"
              class="vertical-time-simple vertical-without-time vertical-timeline vertical-timeline--animate vertical-timeline--one-column">
              <div class="dot-danger vertical-timeline-element">
                <div>
                  <span class="vertical-timeline-element-icon bounce-in"></span>
                  <div class="vertical-timeline-element-content bounce-in">
                    <h4 class="timeline-title">{{task.subject}} - {{task.create_date}} ({{task.create_by}})</h4>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </perfect-scrollbar>
      </div>
      <div class="d-block text-center card-footer">
        <button class="btn-shadow btn-wide btn-pill btn btn-focus">
          Report task today
        </button>
      </div>
    </div>
  </div>
</div>
